## ros-foxy-libphidget22 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(libphidget22)

find_package(ament_cmake REQUIRED)

set(extra_c_flags "-g -O2 -Wno-incompatible-pointer-types -Wno-deprecated-declarations -Wno-format-truncation -fPIC")

include(ExternalProject)
ExternalProject_Add(EP_${PROJECT_NAME}
    URL https://www.phidgets.com/downloads/phidget22/libraries/linux/libphidget22/libphidget22-1.7.20210816.tar.gz
    URL_MD5 6eadbf23feeac246b5b687883d5f8d28

    PATCH_COMMAND patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/patch/libphidgets22-1.7.20210816-fix-warnings.patch
    SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
    CONFIGURE_COMMAND
      <SOURCE_DIR>/configure
      CFLAGS=${extra_c_flags}
      --prefix=${CMAKE_CURRENT_BINARY_DIR}/libphidget22_install
      --disable-ldconfig
    BUILD_COMMAND $(MAKE)
    INSTALL_COMMAND $(MAKE) install
)

# The external project will install to the build folder, but we'll install that on make install.
# Note that we install lib and include separately so we can add the extra level of indirection
# to the include directory.
install(
  DIRECTORY
    ${CMAKE_CURRENT_BINARY_DIR}/libphidget22_install/lib/
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/opt/libphidget22/lib/
)

install(
  DIRECTORY
    ${CMAKE_CURRENT_BINARY_DIR}/libphidget22_install/include/
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/opt/libphidget22/include/libphidget22/
)

ament_environment_hooks(env_hook/libphidget22_library_path.sh)
set(ENV_VAR_NAME "LD_LIBRARY_PATH")
set(ENV_VAR_VALUE "opt/libphidget22/lib")
ament_environment_hooks(env_hook/libphidget22_library_path.dsv.in)

ament_package(CONFIG_EXTRAS "cmake/libphidget22-extras.cmake.in")

=== debian/changelog ===
ros-foxy-libphidget22 (2.1.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 13 Apr 2022 00:00:00 -0000

ros-foxy-libphidget22 (2.1.1-1focal) focal; urgency=high

  * Update to libphidget22-1.7.20210816 (#107 <https://github.com/ros-drivers/phidgets_drivers/issues/107>)
    This is required to support new devices such as the MOT0109.
    Fixes #99 <https://github.com/ros-drivers/phidgets_drivers/issues/99>, fixes #105 <https://github.com/ros-drivers/phidgets_drivers/issues/105>.
    This is a forward-port of #106 <https://github.com/ros-drivers/phidgets_drivers/issues/106> to ROS2.
  * Make sure libphidget22 library can be found. (#97 <https://github.com/ros-drivers/phidgets_drivers/issues/97>)
    In Foxy and later, we need to provide the .dsv hook so that
    the library can be found.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 17 Feb 2022 00:00:00 -0000

ros-foxy-libphidget22 (2.1.0-1focal) focal; urgency=high

  * Compile libphidget22 with -fPIC (#88 <https://github.com/ros-drivers/phidgets_drivers/issues/88>)
  * Update to libphidget22 from 2020.
  * Contributors: Chris Lalancette, Scott K Logan

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Mar 2021 00:00:00 -0000

ros-foxy-libphidget22 (2.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-libphidget22 (2.0.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-foxy-libphidget22 (2.0.0-1focal) focal; urgency=high

  * Port libphidget22 vendor package to ament.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Patch warnings in libphidget22.
  * Fix up libphidget22 package.xml dependencies.
  * Add in libphidget22 package.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-foxy-libphidget22 (0.7.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-foxy-libphidget22 (0.7.8-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 06 May 2019 00:00:00 -0000

ros-foxy-libphidget22 (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 18 Sep 2018 00:00:00 -0000

ros-foxy-libphidget22 (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Aug 2018 00:00:00 -0000

ros-foxy-libphidget22 (0.7.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 31 Jan 2018 00:00:00 -0000

ros-foxy-libphidget22 (0.7.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Oct 2017 00:00:00 -0000

ros-foxy-libphidget22 (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 30 Jun 2017 00:00:00 -0000

ros-foxy-libphidget22 (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 02 Jun 2017 00:00:00 -0000

ros-foxy-libphidget22 (0.7.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 22 May 2017 00:00:00 -0000

ros-foxy-libphidget22 (0.7.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 17:40:00 -0000

ros-foxy-libphidget22 (0.2.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 12:11:00 -0000

ros-foxy-libphidget22 (0.2.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 23 Mar 2015 00:00:00 -0000

ros-foxy-libphidget22 (0.2.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 15 Jan 2015 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-libphidget22
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/libphidget22
Standards-Version: 3.9.2

Package: ros-foxy-libphidget22
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0, ros-foxy-ros-workspace
Description: This package wraps the libphidget22 to use it as a ROS dependency

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-libphidget22//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
